#include "semaforo.h"

PUBLIC int accoda(semaforo *ss, int who){
        if (ss->quanti < MAX_CODA){
                ss->coda[ss->quanti++] = who;
                return ss->quanti;
        }
        return -1;
}

PUBLIC int scoda(semaforo *ss){
        if (ss->quanti > 0){
                return ss->coda[--ss->quanti];
        }
        return -1;
}



